* DCANCEL.CMD
* M. Lynn
* Version 1.6
ERASE
GO TOP
STORE 0 TO recnum
SET INDEX TO
DO WHILE T

SET INTENSITY ON
@ 1,0  SAY 'SYSTEM DATE: '+date()+'     ACCOUNT: '+maccount+'          RECORD #:'
@ 2, 0 SAY 'ACCOUNT NUMBER: '+ac:no

LOCATE FOR number = 0 .AND. .NOT. canceled  NEXT 65535
STORE # TO recnum
@ 1,60 SAY recnum
SET INTENSITY OFF

	IF .NOT.EOF
	@ 5, 0 SAY 'Transaction type: '+TRIM(to)+' on '+date+' for $'
	@ 5, 45 SAY amount PICTURE '99999.99'
	@ 7, 0 SAY 'Has this been verified? (Y/N)' 
	SET CONSOLE OFF
        WAIT TO answer
        SET CONSOLE ON

		IF !(answer) ='Y'
	        REPLACE canceled WITH T
	        ENDIF

	ELSE
	@ 10, 0
	@ 11, 0 SAY '**** No more unverified deposits or interest payments'
	@ 13, 0 SAY 'Enter any character to return to the main menu'
	SET CONSOLE OFF
	WAIT
	SET CONSOLE ON
        RETURN
        ENDIF

@ 10, 0 SAY 'Any more transactions to verify? (Y/N)' 
SET CONSOLE OFF
WAIT TO answer
SET CONSOLE ON
 
	IF !(answer) ='N'
	RELEASE answer
        RETURN
	ELSE
	CONTINUE
        ENDIF

ENDDO
RETURN
wer
SET CONSOLE ON
 
	IF !(answer) ='N'
	RELEASE 